.breadcrumb {
  margin-top: 12px;
  margin-left: 10px;
  margin-right: 10px;
  height: 32px;
  border-radius: 0;
  background-color: transparent;
  padding: 0;
  font-size: 18px;
  color: white;
  border-radius: 5px;
  .breadcrumb-route {
    background: #498fd9;
    padding: 6px;
    margin-right: 22px;
    height: 39px;
    .route-link {
      text-decoration: none;
      color: white;
    }

    &:nth-last-child(n + 2):not(:only-child) {
      .route-link {
        &::after {
          content: "";
          position: absolute;
          width: 20px;
          height: 20px;
          float: right;
          margin-left: 6px;
          margin-top: -6px;
          border-top: 19.5px solid transparent;
          border-left: 20px solid #498fd9;
          border-bottom: 19.5px solid transparent;
          z-index: 1;
        }
      }
    }
    &:nth-child(n + 2):not(:only-child) {
      &::before {
        content: "";
        position: absolute;
        width: 20px;
        height: 20px;
        float: left;
        margin-left: -26px;
        margin-top: -6px;
        border-top: 19.5px solid #498fd9;
        border-left: 20px solid transparent;
        border-bottom: 19.5px solid #498fd9;
      }
    }
    &:hover {
      background-color: lighten($color: #498fd9, $amount: 10);
      &:nth-child(n + 2):not(:only-child)::before {
        border-top-color: lighten($color: #498fd9, $amount: 10);
        border-bottom-color: lighten($color: #498fd9, $amount: 10);
      }
      &:nth-last-child(n + 2):not(:only-child) .route-link::after {
        border-left-color: lighten($color: #498fd9, $amount: 10);
      }
      &:last-child, &:last-child > * {
        cursor: not-allowed;
      }
    }
    &:last-child {
      background-color: darken($color: #498fd9, $amount: 10);
      &::before {
        border-top-color: darken($color: #498fd9, $amount: 10) !important;
        border-bottom-color: darken($color: #498fd9, $amount: 10) !important;
      }
    }
  }
}
